Subject: Re: [syzbot] [can?] WARNING in j1939_session_deactivate_activate_next

From: syzbot <[email-masked]>
Date: Thu, 04 May 2023 09:47:28 -0700

syzbot suspects this issue was fixed by commit:

commit d0553680f94c49bbe0e39eb50d033ba563b4212d
Author: Ziyang Xuan <[email-masked]>
Date:   Mon Sep 6 09:42:00 2021 +0000

    can: j1939: fix errant WARN_ON_ONCE in j1939_session_deactivate

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10cf0990280000
start commit:   fa182ea26ff0 net: phy: micrel: Fixes FIELD_GET assertion
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=796b7c2847a6866a
dashboard link: https://syzkaller.appspot.com/bug?extid=3d2eaacbc2b94537c6c5
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1455e3b2880000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=10296e7c880000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: can: j1939: fix errant WARN_ON_ONCE in j1939_session_deactivate

For information about bisection process see: https://goo.gl/tpsmEJ#bisection